#!/bin/sh
CPU_DIR="/media/fat/Amiga"
CPU68000="musashi_68020_mister"
CORENAME="Minimig"
 
TMP=""

[ -f /tmp/CORENAME ] && TMP=$(cat /tmp/CORENAME)
if [ $TMP == $CORENAME ]; then 
  if [ "$1" == "STOP" ]; then 
    echo "Killing 68000 CPU..." 
    killall $CPU68000
    sleep 1
  elif [ "$1" == "START" ]; then 
    for i in {3..1}
    do
      echo "Starting in -->$i"
      sleep 1 
    done
    echo "Starting 68000 CPU..."
    taskset 1 $CPU_DIR/$CPU68000 &
  else
    echo "USAGE : 68000 [ START | STOP ]"
  fi
else 
  echo "Wrong core name --> $CORENAME"
fi
